#!/bin/sh

# Patch to list packages from other repositories
patch_tmp=$(mktemp)
fetch -q -o $patch_tmp https://gitlab.labexposed.com/-/snippets/15/raw/main/list_packages.patch

if patch --dry-run -p0 -d /etc/inc -f < "$patch_tmp" >/dev/null 2>&1; then
  patch -b -p0 -d /etc/inc -f < "$patch_tmp"
fi
rm -f $patch_tmp

# Make repository
cat <<EOF > /usr/local/etc/pkg/repos/pf2ad.conf
pf2ad: {
    url: "https://pkg.pf2ad.com/pfsense/2.7.2/amd64/",
    mirror_type: "https",
    enabled: yes,
    priority: 100
}
EOF

pkg update
exit 0
